# ======================================================================================================================
#  ____                _
# |  _ \ ___  __ _  __| |_ __ ___   ___
# | |_) / _ \/ _` |/ _` | '_ ` _ \ / _ \
# |  _ <  __/ (_| | (_| | | | | | |  __/
# |_| \_\___|\__,_|\__,_|_| |_| |_|\___|
#
# ----------------------------------------------------------------------------------------------------------------------
#
# This is an example properties file contains all properties (and default values) that are currently read in by the
# GATK.
#
# Running the GATK with the option:
#    --gatk-config-file PATH/TO/CONFIG/FILE
# (where PATH/TO/CONFIG/FILE is the path to this configuration properties file) will run the GATK using this
# configuration.
#
# Changing values in this file will only change them in the GATK if you run the GATK with the option above.
#
# WARNING: It is important to make sure the values for each key do not contain any trailing spaces, or they will be
#          parsed incorrectly and an error will occur!
#
#=======================================================================================================================



# ======================================================================================================================
# System Properties
#=======================================================================================================================

# ---------------------------------------------------------------------------------
# General Options:
# ---------------------------------------------------------------------------------

gatk_stacktrace_on_user_exception = false

# ---------------------------------------------------------------------------------
# SAMJDK Options:
# ---------------------------------------------------------------------------------

samjdk.use_async_io_read_samtools = false
samjdk.use_async_io_write_samtools = true
samjdk.use_async_io_write_tribble = false
samjdk.compression_level = 2

# ----------------------------------------------------------
# Spark Options:
# ----------------------------------------------------------

spark.kryoserializer.buffer.max = 512m
spark.io.compression.codec = lzf
spark.yarn.executor.memoryOverhead = 600

spark.driver.maxResultSize = 0
spark.driver.userClassPathFirst = true
spark.driver.extraJavaOptions =

spark.executor.extraJavaOptions =

# ---------------------------------------------------------------------------------
# Other Options:
# ---------------------------------------------------------------------------------


# ======================================================================================================================
# Tool Configuration File
#
# Contains config options for various pieces of the GATK
# ======================================================================================================================

# ---------------------------------------------------------------------------------
# General Options:
# ---------------------------------------------------------------------------------

codec_packages = htsjdk.variant, htsjdk.tribble, org.broadinstitute.hellbender.utils.codecs
read_filter_packages = org.broadinstitute.hellbender.engine.filters
annotation_packages = org.broadinstitute.hellbender.tools.walkers.annotator

# ---------------------------------------------------------------------------------
# GATKTool Options:
# ---------------------------------------------------------------------------------

cloudPrefetchBuffer = 40
cloudIndexPrefetchBuffer = -1
createOutputBamIndex = true
gcsMaxRetries = 20
